GEM/KMS warning

Some newer laptops have Intel integrated video chipsets that require GEM/KMS to work well; they are supported by the vesa driver in X, but performance isn’t great.   Johannes Hofmann found this out the hard way.  GEM/KMS support is on the way for various BSDs, but it’s not here yet.  Just be aware of this if shopping for a new laptop in the next little while…

4 Replies to “GEM/KMS warning”

  1. As far as I am aware, we need to update our VM a little as well to get GEM to hook in correctly. It should be possible to use the latest FreeBSD work now.

    I really hope Johannes work slowly flows into head instead of ending up as a half done massive patch set where someone just has to start again if he is unable to complete the port.

    Justin, you do heaps of Googling ;) Do you know of some half decent TTM technical docs? Because I just seen bits and bobs scattered around, mostly about the old TTM before it was rewritten..


  2. Thanks Lazarus, Although I have already seen that.

    I am looking for somewhat more detailed information instead of wondering helpless in KLOC just to even understand it let alone port it.

Comments are closed.